Subject: Re: bug#54038: 29.0.50; doc-view cannot show different pages in different tabs

From: Visuwesh <[email-masked]>
Date: Fri, 18 Feb 2022 06:36:18 +0530

[வியாழன், பிப்ரவரி 17 2022] Juri Linkov wrote:

>> Pretty much the subject.
>>
>> 1. emacs -Q.
>> 2. Open a pdf file.
>> 3. Clone the tab using C-x t n.
>> 4. Move to the next page (n).
>> 5. Switch back to the original tab C-x t o.
>> 6. The page is changed here too.
>>
>> Expected: The original and the cloned tabs should show different pages,
>> just like how you can show different pages in different windows/frames.
>>
>> [ FWIW, the same problem also exists with pdf-tools.  ]
>
> This is expected behavior when you use 'C-x t n' that clones
> the current tab.  A new clone has exactly the same window.
> You can confirm this by evaluating in each tab: 'M-:
> (selected-window)'.
> It will show the same window number.  But doc-view can show different pages
> only in different windows.

I see, thanks.  I didn't know that.  If that is the case, the current
behaviour makes sense.  I was confused primarily because tabs created
this showing regular buffers were allowed to have different points.

But, how can I get my desired behaviour tho?  If I create a new tab
using C-x t 2, it breaks doc-view in a different way.  I am finding it
hard to describe it in text, so I would appreciate it if you can try it
out for yourself: essentially, C-x t 2, and then try changing pages.
Doc-view doesn't show the correct image but the page number in the
modeline changes.